## Class Auth_Yadis_PHPSession

Description

The base session class used by the Auth_Yadis_Manager. This class wraps the default PHP session machinery and should be subclassed if your application doesn't use PHP sessioning.

Located in /Auth/Yadis/Manager.php (line 17)

Method Summary
void contents ()
void del (string $name)
string get (string $name, [string $default = null])
void set (string $name, string $value)
Methods
contents (line 60)

Return the contents of the session in array form.

void contents ()
del (line 52)

Remove a key/value pair from the session.

void del (string $name)

- string $name: The name of the key to remove.

get (line 38)

Get a key's value from the session.

- return: The key's value in the session or $default if it isn't found.

string get (string $name, [string $default = null])

- string $name: The name of the key to retrieve.
- string $default: The optional value to return if the key is not found in the session.

set (line 24)

Set a session key/value pair.

void set (string $name, string $value)

- string $name: The name of the session key to add.
- string $value: The value to add to the session.

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2